# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:42 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	WhiteHole
Summary:	%{pdir}::%{pnam} - prevent from inheriting AUTOLOAD
Summary(pl):	%{pdir}::%{pnam} - ochrona przed dziedziczeniem AUTOLOAD
Name:		perl-Class-WhiteHole
Version:	0.03
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Its possible to accidentally inherit an AUTOLOAD method.  Often this
will happen if a class somewhere in the chain uses AutoLoader or defines
one of their own.  This can lead to confusing error messages when method
lookups fail.

Sometimes you want to avoid this accidental inheritance.  In that case,
inherit from Class::WhiteHole.  All unhandled methods will produce normal
Perl error messages.

%description -l pl
Istnieje moliwo przypadkowego odziedziczenia metody AUTOLOAD.  Czsto
zdarzy si to, gdy jedna z acucha klas stosuje AutoLoader lub definiuje
wasn.  Moe to spowodowa dziwne komunikaty bdw, gdy odszukanie metody
nie powiedzie si.

Czasami chcesz unikn przypadkowego dziedziczenia.  W takim wypadku,
odziedzicz po Class::WhiteHole.  Kade wywoanie nieistniejcej metody
spowoduje zwyczajn informacj o bdzie perla.


%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-WhiteHole.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/28 10:08:15  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:13  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.1  2002/07/23 02:14:10  radek
- new, STBR

